org.apache.ode.bpel.compiler.bom

## Class Copy

- java.lang.Object
- - org.apache.ode.bpel.compiler.bom.BpelObject
  - - org.apache.ode.bpel.compiler.bom.Copy

- All Implemented Interfaces:
    SourceLocation

      public class Copy
      extends BpelObject

  Assignment copy entry. Each copy entry consists of a "left hand side" (L-value) and a "right hand side (R-value). The value on the right hand side is copied to the location referenced in the left hand side.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `ATTR_LINENO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Copy(org.w3c.dom.Element el)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `From` | `getFrom()` Get the R-value.
    `To` | `getTo()` Get the L-value.
    `boolean` | `isIgnoreMissingFromData()`
    `boolean` | `isIgnoreUninitializedFromVariable()`
    `boolean` | `isInsertMissingToData()`
    `boolean` | `isKeepSrcElement()`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Copy

          public Copy(org.w3c.dom.Element el)

  - ### Method Detail

    - #### getTo

          public To getTo()

      Get the L-value.
      Returns:
        the L-value.

    - #### getFrom

          public From getFrom()

      Get the R-value.
      Returns:
        the R-value.

    - #### isKeepSrcElement

          public boolean isKeepSrcElement()

    - #### isIgnoreMissingFromData

          public boolean isIgnoreMissingFromData()

    - #### isIgnoreUninitializedFromVariable

          public boolean isIgnoreUninitializedFromVariable()

    - #### isInsertMissingToData

          public boolean isInsertMissingToData()